Memcached::cas
Memcached::__construct
Memcached
PHP Manual

# Memcached::casByKey

(PECL memcached >= 0.1.0)

Memcached::casByKey — Compare and swap an item on a specific server

### Description

public bool Memcached::casByKey ( float `$cas_token` , string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::casByKey() is functionally equivalent to Memcached::cas, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameters

`cas_token`

  Unique value associated with the existing item. Generated by memcache.

`server_key`

  The key identifying the server to store the value on.

`key`

  The key under which to store the value.

`value`

  The value to store.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode will return `Memcached::RES_DATA_EXISTS` if the item you are trying to store has been modified since you last fetched it.

### See Also

- Memcached::cas - Compare and swap an item

Memcached::cas
Memcached::__construct
Memcached
PHP Manual